<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- markerOnMap.xsl -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.01" encoding="SHIFT_JIS" indent="yes"
	doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
	doctype-system="http://www.w3.org/TR/html4/loose.dtd"
		/>
<!-- ===ezdocSchedule.xml=================================================== -->
<xsl:template match="/">
	<xsl:apply-templates select="article"/>
</xsl:template>

<xsl:template match="article">
	<html>
		<head>
			<meta name="robots" content="noindex"/>
			<xsl:call-template name="css"/>
			<xsl:call-template name="style"/>
			<xsl:call-template name="scriptOnHead"/>
			<title>
				<xsl:call-template name="htmlTitle"/>
			</title>
		</head>
		<body>
			<xsl:call-template name="body"/>
		</body>
	</html>
</xsl:template>

<xsl:template name="css">
	<meta http-equiv="Content-Style-Type" content="text/css"/>
</xsl:template>

<xsl:template name="style">
	<style type="text/css">
		body {padding: 0; margin: 0}
		html, body {height: 100%; width: 100%; }
		#map {height: 80%; width: 100%; 
				padding: 10px; border: 2px solid black; }
		.leaflet-container {background: #fff;}
	</style>
</xsl:template>

<xsl:template name="scriptOnHead">
	<script src="http://toolbox-crea.cool.coocan.jp/mountainView/tool/leaflet/leaflet.js"></script>
	<link rel="stylesheet" href="http://toolbox-crea.cool.coocan.jp/mountainView/tool/leaflet/leaflet.css"/>
</xsl:template>

<xsl:template name="htmlTitle">
	<xsl:text>MarkerOnMap</xsl:text>
</xsl:template>

<xsl:template name="body">
	<div>
	<center>
		<h3>
			<xsl:call-template name="htmlTitle"/>
		</h3>
	</center>
	<table width="100%">
	<tr>
		<td width="300" style="padding-left: 10px">
			EzdocSchedule.xml
			<br/>
			POIn}ɕ\܂
		</td>
		<td align="right" valign="bottom" style="font-size: smaller; 
				padding-right: 10px">
			yz@ړF hbOAgAkF zC[
		</td>
	</tr>
	</table>
	</div>
	<div id="map"/>
	<xsl:call-template name="script"/>
</xsl:template>

<xsl:template name="script">
	<script>
	
	<![CDATA[
	var map = L.map('map');
	var layer = L.tileLayer('http://cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', 
	 {attribution: "<a href='http://portal.cyberjapan.jp/help/termsofuse.html' target='_blank'>yn@</a>"
	 }).addTo(map);
	]]>
	<xsl:call-template name="fitBounds"/>
	<xsl:call-template name="markers"/>
	
	</script>
</xsl:template>

<xsl:template name="fitBounds">
	<xsl:text>map.fitBounds([
	</xsl:text>
	<xsl:apply-templates select="//schedule/item/note/poi" mode="exist"/>
	<xsl:text>]);
	</xsl:text>
</xsl:template>

<xsl:template match="poi" mode="exist">
	<xsl:if test="contains(text(), ',')">
		<xsl:call-template name="point"/>
	</xsl:if>
</xsl:template>

<xsl:template name="point">
	<xsl:variable name="lat" select="substring-before(normalize-space(.), ',')"/>
	<xsl:variable name="lon" select="substring-after(normalize-space(.), ',')"/>
	<xsl:text>[</xsl:text>
	<xsl:value-of select="$lat"/>
	<xsl:text>, </xsl:text>
	<xsl:value-of select="$lon"/>
	<xsl:text>],
	</xsl:text>
</xsl:template>

<xsl:template name="markers">
	<xsl:apply-templates select="//schedule/item/note/poi" mode="marker"/>
</xsl:template>

<xsl:template match="poi" mode="marker">
	<xsl:if test="string-length(normalize-space(.)) != 0">
		<xsl:call-template name="poiProc"/>
	</xsl:if>
</xsl:template>

<xsl:template name="poiProc">
	<xsl:variable name="lat" select="substring-before(normalize-space(.), ',')"/>
	<xsl:variable name="lon" select="substring-after(normalize-space(.), ',')"/>
	<xsl:variable name="number">
		<xsl:number count="poi" from="article" level="any"/>
	</xsl:variable>
	<xsl:text>var marker</xsl:text>
	<xsl:value-of select="$number"/>
	<xsl:text> = L.marker([</xsl:text>
	<xsl:value-of select="$lat"/>
	<xsl:text>, </xsl:text>
	<xsl:value-of select="$lon"/>
	<xsl:text>]).addTo(map);
	</xsl:text>
	<xsl:text>marker</xsl:text>
	<xsl:value-of select="$number"/>
	<xsl:text>.bindPopup("</xsl:text>
	<xsl:value-of select="normalize-space(../../place)"/>
	<xsl:text>");
	</xsl:text>
</xsl:template>

</xsl:stylesheet>
